package models

import (
	"time"
)

//报告推送给同花顺的表结构体
type ReportSendThsDetail struct {
	SendId     int       `gorm:"primaryKey;column:send_id;" description:"发送给同花顺的Id"`
	ReportId   int       `description:"报告id"`
	ReportType string    `description:"报告类型"`
	Status     int8      `description:"发送结果，0：待发送，-1发送失败，1发送成功"`
	Remark     string    `description:"失败原因"`
	PushTime   time.Time `description:"实际开始推送时间/预推送时间"`
	CreateTime time.Time `description:"发送时间"`
}

func (r *ReportSendThsDetail) TableName() string {
	return "report_send_ths_detail"
}