package request

type RddpReportShareImgReq struct {
	Source string `description:"来源" json:"source"`
	Pars   string `description:"动态信息-JSON格式" json:"pars"`
}

type WechatWarningReq struct {
	Content string `description:"预警信息" json:"content"`
}

// ViewLogUpdateReq 更新访问日志请求体
type ViewLogUpdateReq struct {
	Id          int `json:"id" description:"日志ID"`
	StopSeconds int `json:"stop_seconds" description:"访问时长"`
	Source      int `json:"source" description:"来源:1-问答社区; 2-语音播报; 3-视频社区; 4-路演视频..."`
}
